<div>
    <h2 id="page-heading">
        <span>Prospect Data</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-prospect-data" [routerLink]="['/prospect-data/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Prospect Data
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="prospectData?.length === 0">
        <span>No prospectData found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="prospectData && prospectData.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Title</span></th>
                    <th scope="col" ><span>Given Name</span></th>
                    <th scope="col" ><span>Middle Name</span></th>
                    <th scope="col" ><span>Sur Name</span></th>
                    <th scope="col" ><span>Area Code</span></th>
                    <th scope="col" ><span>Contact No</span></th>
                    <th scope="col" ><span>Passport No</span></th>
                    <th scope="col" ><span>Passport Expire Date</span></th>
                    <th scope="col" ><span>Passport Date Of Birth</span></th>
                    <th scope="col" ><span>Agree Pda</span></th>
                    <th scope="col" ><span>Allow Contact Me</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let prospectData of prospectData ;trackBy: trackId">
                    <td><a [routerLink]="['/prospect-data', prospectData.id, 'view']">{{ prospectData.id }}</a></td>
                    <td>{{ prospectData.title }}</td>
                    <td>{{ prospectData.givenName }}</td>
                    <td>{{ prospectData.middleName }}</td>
                    <td>{{ prospectData.surName }}</td>
                    <td>{{ prospectData.areaCode }}</td>
                    <td>{{ prospectData.contactNo }}</td>
                    <td>{{ prospectData.passportNo }}</td>
                    <td>{{ prospectData.passportExpireDate }}</td>
                    <td>{{ prospectData.passportDateOfBirth }}</td>
                    <td>{{ prospectData.agreePda }}</td>
                    <td>{{ prospectData.allowContactMe }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/prospect-data', prospectData.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/prospect-data', prospectData.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(prospectData)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
